Subject: Re: [OSPF] New Version Notification for draft-acee-ospf-rfc4970bis-00.txt

From: "Acee Lindem (acee)" <[email-masked]>
Date: Thu, 31 Jul 2014 21:54:21 +0000

Hi, 
Note that I have authored an RFC 4970 BIS draft which better reflects the
requirements. Here is an excerpt describing the changes:

   This document includes the following changes from RFC 4970 [RFC4970]:

   1.  The main change is that an OSPF router will be able to advertise
      multiple instances of the OSPF Router Information LSA.  This
      change permeates through much of the document

   2.  Additionally, Section 2.5 includes a new TLV for functional
      capabilities.  This is constast to the existing TLV which is used
      to advertise capabilities for informational purposes only.

   3.  Finally, references have been updated for drafts that have become
      RFCs and RFCs that have been obsoleted since the publication of
      RFC 4970.

Thanks,
Acee

On 7/31/14, 11:26 AM, "[email-masked]"
<[email-masked]> wrote:

>
>A new version of I-D, draft-acee-ospf-rfc4970bis-00.txt
>has been successfully submitted by Acee Lindem and posted to the
>IETF repository.
>
>Name:		draft-acee-ospf-rfc4970bis
>Revision:	00
>Title:		Extensions to OSPF for Advertising Optional Router Capabilities
>Document date:	2014-07-31
>Group:		Individual Submission
>Pages:		17
>URL:            
>http://www.ietf.org/internet-drafts/draft-acee-ospf-rfc4970bis-00.txt
>Status:         
>https://datatracker.ietf.org/doc/draft-acee-ospf-rfc4970bis/
>Htmlized:       http://tools.ietf.org/html/draft-acee-ospf-rfc4970bis-00
>
>
>Abstract:
>   It is useful for routers in an OSPFv2 or OSPFv3 routing domain to
>   know the capabilities of their neighbors and other routers in the
>   routing domain.  This document proposes extensions to OSPFv2 and
>   OSPFv3 for advertising optional router capabilities.  A new Router
>   Information (RI) Link State Advertisement (LSA) is proposed for this
>   purpose.  In OSPFv2, the RI LSA will be implemented with a new opaque
>   LSA type ID.  In OSPFv3, the RI LSA will be implemented with a new
>   LSA type function code.  In both protocols, the RI LSA can be
>   advertised at any of the defined flooding scopes (link, area, or
>   autonomous system (AS)).  This document obsoletes RFC 4970 by
>   providing a revised specification including support for advertisement
>   of multiple instances of the RI LSA and a TLV for functional
>   capabilities.
>
>                  
>        
>
>
>Please note that it may take a couple of minutes from the time of
>submission
>until the htmlized version and diff are available at tools.ietf.org.
>
>The IETF Secretariat
>